Bug 25974 - Remove inline style from table settings administration page
Summary: Remove inline style from table settings administration page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 24156
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-10 14:27 UTC by Owen Leonard
Modified: 2020-11-30 21:52 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25974: Remove inline style from table settings administration page (2.17 KB, patch)
2020-07-10 14:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25974: Remove inline style from table settings administration page (2.22 KB, patch)
2020-07-11 20:47 UTC, David Nind
Details | Diff | Splinter Review
Bug 25974: Remove inline style from table settings administration page (2.27 KB, patch)
2020-07-13 21:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-07-10 14:27:53 UTC
Bug 24156 added some inline styles to columns_settings.tt which seem out of place. I'd prefer to remove the inline style and add some subtler CSS to the page.
Comment 1 Owen Leonard 2020-07-10 14:40:42 UTC
Created attachment 106770 [details] [review]
Bug 25974: Remove inline style from table settings administration page

This patch removes an inline style attribute from the table settings
administration template. A different style is added to the page's
<style> block to try to accomplish a similar effect of expressing the
hierarchy of the page.

To test, apply the patch and go to Administration -> Table settings.

The individual tables of settings should be offset from the headings
above them.
Comment 2 David Nind 2020-07-11 20:47:37 UTC
Created attachment 106786 [details] [review]
Bug 25974: Remove inline style from table settings administration page

This patch removes an inline style attribute from the table settings
administration template. A different style is added to the page's
<style> block to try to accomplish a similar effect of expressing the
hierarchy of the page.

To test, apply the patch and go to Administration -> Table settings.

The individual tables of settings should be offset from the headings
above them.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-07-13 21:26:02 UTC
Created attachment 106853 [details] [review]
Bug 25974: Remove inline style from table settings administration page

This patch removes an inline style attribute from the table settings
administration template. A different style is added to the page's
<style> block to try to accomplish a similar effect of expressing the
hierarchy of the page.

To test, apply the patch and go to Administration -> Table settings.

The individual tables of settings should be offset from the headings
above them.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-07-20 12:08:26 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-07-24 23:09:51 UTC
missing a dependency for 20.05.x, no backport